%{?python_enable_dependency_generator}

Name:           python-pvc
Version:        0.3.0
Release:        1%{?dist}
Summary:        Python vSphere Client with a dialog interface
License:        BSD
URL:            https://github.com/dnaeon/pvc
Source0:        https://github.com/dnaeon/pvc/archive/v%{version}.tar.gz#/pvc-%{version}.tar,gz

BuildArch:      noarch


%global _description \
PVC is an interactive text-mode VMware vSphere Client with a dialog interface\
for GNU/Linux systems built on top of the pyVmomi VMware vSphere API Python bindings.\
\
Using PVC allows you to quickly navigate in your VMware vSphere environment and\
perform common tasks against various VMware vSphere Managed Entities.

%description
%{_description}

%package     -n python%{python3_pkgversion}-pvc
Summary:        Python vSphere Client with a dialog interface
%{?python_provide:%python_provide python%{python3_pkgversion}-pvc}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-humanize
BuildRequires:  python%{python3_pkgversion}-pyvmomi
BuildRequires:  python%{python3_pkgversion}-requests
BuildRequires:  python%{python3_pkgversion}-vconnector
BuildRequires:  python%{python3_pkgversion}-sphinx
# no magic dependencies in epel
%if %{undefined __pythondist_requires}
Requires:       python%{python3_pkgversion}-humanize
Requires:       python%{python3_pkgversion}-pyvmomi
Requires:       python%{python3_pkgversion}-requests
Requires:       python%{python3_pkgversion}-vconnector
%endif

%description -n python%{python3_pkgversion}-pvc
%{_description}


%prep
%autosetup -npvc-%{version}

%build
%{py3_build}
PYTHONPATH=../src SPHINXBUILD=sphinx-build-3 SPHINXOPTS=%{_smp_mflags} %make_build -C docs html
rm -rf docs/_build/html/.{doctrees,buildinfo}

%install
%{py3_install}


%files -n python%{python3_pkgversion}-pvc
%license LICENSE
%doc README.rst
%doc docs/_build/html/
%{python3_sitelib}/pvc/
%{python3_sitelib}/pvc-%{version}-py%{python3_version}.egg-info/
%{_bindir}/pvc-tui


%changelog
* Thu Jul 25 2019 Raphael Groner <projects.rg@smart.ms> - 0.3.0-1
- initial
